#957 -xsdversion:1.1 ignored for xsi:schemaLocation

v9.1
closed
Michael Kay
5
2012-10-08
2009-06-11
Michael Kay
No

When an instance document is validated from the command line using the com.saxonica.Validate command, and the schema is loaded using xsi:schemaLocation in the instance document rather than by specifying the -xsd option on the command line, then the schema must conform to XSD 1.0 syntax (any XSD 1.1 extensions such as xs:assert will be rejected) regardless of the setting of the -xsdversion option on the command line.

The source code has been fixed and the bug will therefore be closed in the next maintenance release.

Discussion

  • Michael Kay
    Michael Kay
    2009-06-17

    Fixed in 9.1.0.7